- Qt 5.5
- Qt3D Module
- C++ Classes
- QSceneChange
- Qt 5.5.1 Reference Documentation

# QSceneChange Class

(Qt3D::QSceneChange)

Inherited By: | Qt3D::QScenePropertyChange

- List of all members, including inherited members

## Public Types

enum | ObservableType { Observable, Node }
enum | Priority { High, Standard, Low }

## Public Functions

| QSceneChange(ChangeFlag type, ObservableType observableType, const QNodeId & subjectId, Priority priority = Standard)
virtual | ~QSceneChange()
QSceneChange::ObservableType | observableType() const
QSceneChange::Priority | priority() const
QNodeId | subjectId() const
qint64 | timestamp() const
ChangeFlag | type() const

## Member Type Documentation

### enum QSceneChange::ObservableType

### enum QSceneChange::Priority

## Member Function Documentation

### QSceneChange::QSceneChange(ChangeFlag type, ObservableType observableType, const QNodeId & subjectId, Priority priority = Standard)

### `[virtual]` QSceneChange::~QSceneChange()

### QSceneChange::ObservableType QSceneChange::observableType() const

### QSceneChange::Priority QSceneChange::priority() const

### QNodeId QSceneChange::subjectId() const

### qint64 QSceneChange::timestamp() const

### ChangeFlag QSceneChange::type() const